Bug 1639623 - [3.10] Images are not prepulled when CRIO runtime is used
Summary: [3.10] Images are not prepulled when CRIO runtime is used
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.10.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 3.10.z
Assignee: Vadim Rutkovsky
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On: 1639201 1647288
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-16 09:00 UTC by Johnny Liu
Modified: 2019-03-14 02:15 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: image were prepulled using docker Consequence: CRIO installs could time out as the runtime was pulling images again Fix: `crictl pull` is used when crio is specified as a runtime Result: CRIO installs succeed
Clone Of: 1639201
Environment:
Last Closed: 2019-03-14 02:15:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0405 None None None 2019-03-14 02:15:41 UTC

Description Johnny Liu 2018-10-16 09:00:40 UTC
+++ This bug was initially created as a clone of Bug #1639201 +++

Description of problem:
Pre-pull tasks for control-plane and node are assuming Docker is used as a runtime

--- Additional comment from Vadim Rutkovsky on 2018-10-15 06:30:32 EDT ---

master PR - https://github.com/openshift/openshift-ansible/pull/10402

Comment 1 Vadim Rutkovsky 2018-10-16 09:05:06 UTC
Master PR - https://bugzilla.redhat.com/show_bug.cgi?id=1639623

Comment 3 Russell Teague 2018-11-20 19:12:57 UTC
Fixed in openshift-ansible-3.10.60-1

Comment 4 Johnny Liu 2018-11-21 03:25:27 UTC
Re-test this bug with openshift-ansible-3.10.79-1.git.0.10daf7d.el7.noarch, still need more fix.

$ grep -r "docker_image:" *
roles/openshift_node/tasks/prepull.yml:  docker_image:
roles/openshift_cli/tasks/main.yml:    docker_image:

According to 3.11 bug verification experience, also need cherrypick PR#10641 mentioned in BZ#1647288, and PR#10464 mentioned in BZ#1639201.

Comment 5 Vadim Rutkovsky 2019-01-29 10:27:04 UTC
Created https://github.com/openshift/openshift-ansible/pull/11092 to cherrypick the fix to 3.10

Comment 7 Johnny Liu 2019-02-11 03:55:21 UTC
Re-test this bug with openshift-ansible-3.10.111-1.git.0.84b2b69.el7.noarch, and FAIL.

The issue described in comment 4 is not fixed.

$ git describe
openshift-ansible-3.10.111-1

$ grep -r "docker_image:" *
roles/openshift_node/tasks/prepull.yml:  docker_image:
roles/openshift_cli/tasks/main.yml:    docker_image:

Here we also need one more cherrypick for PR#10464 mentioned in BZ#1639201.

Comment 9 Johnny Liu 2019-02-12 09:48:06 UTC
Verified this bug with openshift-ansible-3.10.112-1.git.0.7823ef0.el7.noarch, and PASS.

TASK [openshift_node : Check status of node image pre-pull] ********************
Tuesday 12 February 2019  16:31:34 +0800 (0:00:00.049)       0:02:39.611 ****** 
FAILED - RETRYING: Check status of node image pre-pull (20 retries left).
FAILED - RETRYING: Check status of node image pre-pull (20 retries left).
FAILED - RETRYING: Check status of node image pre-pull (20 retries left).

FAILED - RETRYING: Check status of node image pre-pull (19 retries left).
FAILED - RETRYING: Check status of node image pre-pull (19 retries left).
FAILED - RETRYING: Check status of node image pre-pull (19 retries left).

FAILED - RETRYING: Check status of node image pre-pull (18 retries left).
FAILED - RETRYING: Check status of node image pre-pull (18 retries left).
FAILED - RETRYING: Check status of node image pre-pull (18 retries left).

FAILED - RETRYING: Check status of node image pre-pull (17 retries left).
FAILED - RETRYING: Check status of node image pre-pull (17 retries left).
FAILED - RETRYING: Check status of node image pre-pull (17 retries left).

FAILED - RETRYING: Check status of node image pre-pull (16 retries left).
FAILED - RETRYING: Check status of node image pre-pull (16 retries left).
FAILED - RETRYING: Check status of node image pre-pull (16 retries left).

FAILED - RETRYING: Check status of node image pre-pull (15 retries left).
FAILED - RETRYING: Check status of node image pre-pull (15 retries left).
FAILED - RETRYING: Check status of node image pre-pull (15 retries left).

changed: [vm-10-0-77-72.hosted.upshift.rdu2.redhat.com] => {"ansible_job_id": "940322648847.19582", "attempts": 7, "changed": true, "cmd": ["crictl", "pull", "registry.access.stage.redhat.com/openshift3/ose-node:v3.10"], "delta": "0:04:04.475344", "end": "2019-02-12 03:35:25.528009", "failed": false, "failed_when_result": false, "finished": 1, "rc": 0, "start": "2019-02-12 03:31:21.052665", "stderr": "W0212 03:31:21.064181   19589 util_unix.go:75] Using \"/var/run/crio/crio.sock\" as endpoint is deprecated, please consider using full url format \"unix:///var/run/crio/crio.sock\".", "stderr_lines": ["W0212 03:31:21.064181   19589 util_unix.go:75] Using \"/var/run/crio/crio.sock\" as endpoint is deprecated, please consider using full url format \"unix:///var/run/crio/crio.sock\"."], "stdout": "Image is update to date for registry.access.stage.redhat.com/openshift3/ose-node@sha256:c4c1dc813e7d9b961634a8f4ee7fdf3d3515ae46801ae089f291dd88e0959894", "stdout_lines": ["Image is update to date for registry.access.stage.redhat.com/openshift3/ose-node@sha256:c4c1dc813e7d9b961634a8f4ee7fdf3d3515ae46801ae089f291dd88e0959894"]}

Comment 14 errata-xmlrpc 2019-03-14 02:15:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0405


Note You need to log in before you can comment on or make changes to this bug.